* {
    box-sizing: border-box;
}

html {
    height: 100%;
    line-height: 1.5em;
    font-family: Recursive;
}

body {
    margin-left: auto;
    margin-right: auto;
    margin-top: 0em;
    margin-bottom: 0em;
    max-width: calc(768px + 2em);
    padding: 1em;
    display: flex;
    flex-direction: column;
    height: 100%;

    background: no-repeat center/100% url("../assets/background.png?as=webp&width=256"); 
}

#viewport {
    height: 432px;
    width: 768px;
    flex: 0 0;
}

#textport {
    flex: 1 0;
    padding: 1em;
    margin: 0.5em;
    overflow-y: auto;
    background: #b4ffca;
    border: 2px solid green;
    border-radius: 5px;
}

#interactions {
    list-style: none;
    padding-left: 0;
}

.interaction {
    // color: #0044e9;
    padding: 0.5em;
    border: 1px solid green;
    border-radius: 5px;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}